#pragma once
#include "ColorText_Static.h"
#include "afxwin.h"

#define	NUM_INPUT_DOT		1
#define	NUM_INPUT_SYMBOL	2
#define	NUM_INPUT_NO_DOT		0
#define	NUM_INPUT_NO_SYMBOL		0
// CDialogNumInput 对话框

class CDialogNumInput : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogNumInput)

public:
	CDialogNumInput(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogNumInput();

// 对话框数据
	enum { IDD = IDD_DIALOG_NUM_INPUT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	virtual BOOL OnInitDialog();
	void set_pos(int x, int y);
	void set_edit(CEdit *a);
	void set_num(CString & cs);
	void set_title(CString & cs);
	void set_result(CString & cs);
	void get_result(CString & cs);
	void set_type(int a);
	CString m_csNum;
	CString m_csTitle;
	int m_i32Num;
	int m_i32Start;
	int m_i32NumFlag;
	int m_i32Type;
private:
	void input_num(CString &cs);
	int check_input(CString cs,int i);
	CColorText_Static *m_pStaticText;
	CColorText_Static *m_pStaticTitle;
	int x;
	int y;
	CEdit * m_CEdit;
public:
	afx_msg void OnBnClickedButtonNumInput1();
	afx_msg void OnBnClickedButtonNumInput2();
	afx_msg void OnBnClickedButtonNumInput3();
	afx_msg void OnBnClickedButtonNumInput4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButtonDot();
	afx_msg void OnBnClickedButton1Del();
	afx_msg void OnBnClickedButton14();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedButtonSymbol();
	CButton CButtonDot;
	CButton CButtonSymbol;
};
